"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
const path = require("path");
class ConfigLoader {
    static loadConfig(filename) {
        return __awaiter(this, void 0, void 0, function* () {
            const pathToFile = path.join(process.cwd(), (filename || "funcpack.config.json"));
            if (yield index_1.FileHelper.exists(pathToFile)) {
                return yield index_1.FileHelper.readFileAsJSON(pathToFile);
            }
        });
    }
}
exports.ConfigLoader = ConfigLoader;
//# sourceMappingURL=config-loader.js.map